Не удалось установить virtualbox 6.1 на Ubuntu 20.04

Я безуспешно пытаюсь установить VirtualBox на Ubuntu 20.04. С каждой попыткой он терпит неудачу. Я думаю, что возможно создал файлы, на удаление которых у меня больше нет прав. Я использую свой персональный компьютер и не знаю, как повысить разрешения. Я новичок в Ubuntu.

Это мой сценарий, когда я пытаюсь установить VirtualBox:

emsys@emsys:~/Downloads$ sudo su
[sudo] password for emsys: 
root@emsys:/home/emsys/Downloads# ls
virtualbox-6.1_6.1.16-140961~Ubuntu~eoan_amd64.deb
root@emsys:/home/emsys/Downloads# dpkg -i virtualbox-6.1_6.1.16-140961~Ubuntu~eoan_amd64.deb
Selecting previously unselected package virtualbox-6.1.
(Reading database ... 182383 files and directories currently installed.)
Preparing to unpack virtualbox-6.1_6.1.16-140961~Ubuntu~eoan_amd64.deb ...
Unpacking virtualbox-6.1 (6.1.16-140961~Ubuntu~eoan) ...
dpkg: dependency problems prevent configuration of virtualbox-6.1:
 virtualbox-6.1 depends on libqt5core5a (>= 5.12.2); however:
  Package libqt5core5a is not installed.
 virtualbox-6.1 depends on libqt5gui5 (>= 5.4.0) | libqt5gui5-gles (>= 5.4.0); however:
  Package libqt5gui5 is not installed.
  Package libqt5gui5-gles is not installed.
 virtualbox-6.1 depends on libqt5opengl5 (>= 5.0.2); however:
  Package libqt5opengl5 is not installed.
 virtualbox-6.1 depends on libqt5printsupport5 (>= 5.0.2); however:
  Package libqt5printsupport5 is not installed.
 virtualbox-6.1 depends on libqt5widgets5 (>= 5.12.2); however:
  Package libqt5widgets5 is not installed.
 virtualbox-6.1 depends on libqt5x11extras5 (>= 5.6.0); however:
  Package libqt5x11extras5 is not installed.
 virtualbox-6.1 depends on libsdl1.2debian (>= 1.2.11); however:
  Package libsdl1.2debian is not installed.
 virtualbox-6.1 depends on python (<< 2.8); however:
  Package python is not installed.
 virtualbox-6.1 depends on python (>= 2.7); however:
  Package python is not installed.
 virtualbox-6.1 depends on python:any (>= 2.6.6-7~); however:

dpkg: error processing package virtualbox-6.1 (--install):
 dependency problems - leaving unconfigured
Processing triggers for systemd (245.4-4ubuntu3.2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for shared-mime-info (1.15-1) ...
Errors were encountered while processing:
 virtualbox-6.1
root@emsys:/home/emsys/Downloads# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages will be REMOVED
  virtualbox-6.1
0 to upgrade, 0 to newly install, 1 to remove and 0 not to upgrade.
1 not fully installed or removed.
After this operation, 216 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 183132 files and directories currently installed.)
Removing virtualbox-6.1 (6.1.16-140961~Ubuntu~eoan) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for shared-mime-info (1.15-1) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
root@emsys:/home/emsys/Downloads# sudo apt purge virtualbox
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'virtualbox' is not installed, so not removed
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
root@emsys:/home/emsys/Downloads# 

Если я наберу ls , я получаю следующее:

-virtualbox-6.1_6.1.16-140961~Ubuntu~eoan_amd64.deb

Моя папка на компьютере / etc / apt / sources.list.d имеет 4 файла, которые содержат следующие:

folder oracle.virtualbox.list=# deb http://download.virtualbox.org/virtualbox/debian focal contrib

folder oracle.virtualbox.list.save=# deb http://download.virtualbox.org/virtualbox/debian focal contrib

folder virtualbox.list=# deb [arch=amd64] http://download.virtualbox.org/virtualbox/debian focal contrib

folder virtualbox.list.save=# deb [arch=amd64] http://download.virtualbox.org/virtualbox/debian focal contrib

Нужно ли мне удалить эти несколько файлов? Они мешают загрузке? Я не могу изменить эти текстовые файлы. Я вижу, что в файлах написано debian focal , но когда я набираю ls в терминале, он ищет eoan ? !!

0
задан 22 November 2020 в 23:10

0 ответов

Другие вопросы по тегам:

Похожие вопросы: